Capture a payment (not supported)
curl --request POST \
--url https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amountCents": 10000
}
'import requests
url = "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture"
payload = { "amountCents": 10000 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amountCents: 10000})
};
fetch('https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amountCents' => 10000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture"
payload := strings.NewReader("{\n \"amountCents\": 10000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amountCents\": 10000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amountCents\": 10000\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"message": "Payment was declined.",
"details": {
"code": "PAYMENT_DECLINED",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Payments
Capture a payment (not supported)
Every request returns 501 CAPTURE_NOT_SUPPORTED. Payments charge immediately and do not require a separate capture request.
POST
/
api
/
partner
/
v1
/
payments
/
{id}
/
capture
Capture a payment (not supported)
curl --request POST \
--url https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amountCents": 10000
}
'import requests
url = "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture"
payload = { "amountCents": 10000 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amountCents: 10000})
};
fetch('https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amountCents' => 10000
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture"
payload := strings.NewReader("{\n \"amountCents\": 10000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"amountCents\": 10000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apistagepc.grogov.us/api/partner/v1/payments/{id}/capture")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amountCents\": 10000\n}"
response = http.request(request)
puts response.read_body{
"success": false,
"message": "Payment was declined.",
"details": {
"code": "PAYMENT_DECLINED",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
ApiKeyAuthBearerAuth
Send your API key as Authorization: ApiKey pc_<your-key>. The API also accepts the key without the ApiKey prefix. API keys authenticate requests to /api/partner/v1/*. Contact GroGov support to rotate your key or deactivate your API account. Rotation invalidates the previous key. Account deactivation blocks both API keys and access tokens.
Path Parameters
Payment ID.
Body
application/json
Reserved capture amount in cents. Capture requests return 501 CAPTURE_NOT_SUPPORTED.
Example:
10000